<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="relatorioCarteiraCobranca" pageWidth="842" pageHeight="595" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="802" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="debc4146-84c7-41b2-aa04-0b9a33113901">
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="455"/>
	<property name="ireport.y" value="0"/>
	<parameter name="empresa" class="java.lang.String"/>
	<parameter name="dataFinal" class="java.lang.String"/>
	<parameter name="dataInicial" class="java.lang.String"/>
	<field name="mesAno" class="java.lang.String"/>
	<field name="carteiraInicial" class="java.lang.Double"/>
	<field name="obj" class="java.lang.Double"/>
	<field name="recebimentoLiquido" class="java.lang.Double"/>
	<field name="eficacia" class="java.lang.Double"/>
	<field name="abertoInicial" class="java.lang.Double"/>
	<field name="recebimentoMesVirgente" class="java.lang.Double"/>
	<field name="abertoFinal" class="java.lang.Double"/>
	<field name="faltaReceber" class="java.lang.Double"/>
	<field name="acordo" class="java.lang.Double"/>
	<field name="mediaAritmeticaEficacia" class="java.lang.Double"/>
	<variable name="carteiraInicial_1" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{carteiraInicial}]]></variableExpression>
	</variable>
	<variable name="recebimentoLiquido_1" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{recebimentoLiquido}]]></variableExpression>
	</variable>
	<variable name="abertoInicial_1" class="java.lang.Integer" calculation="Count">
		<variableExpression><![CDATA[$F{abertoInicial}]]></variableExpression>
	</variable>
	<variable name="abertoInicial_2" class="java.lang.Integer" calculation="Count">
		<variableExpression><![CDATA[$F{abertoInicial}]]></variableExpression>
	</variable>
	<variable name="abertoInicial_3" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{abertoInicial}]]></variableExpression>
	</variable>
	<variable name="recebimentoMesVirgente_1" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{recebimentoMesVirgente}]]></variableExpression>
	</variable>
	<variable name="abertoFinal_1" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{abertoFinal}]]></variableExpression>
	</variable>
	<variable name="faltaReceber_1" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{faltaReceber}]]></variableExpression>
	</variable>
	<variable name="acordo_1" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{acordo}]]></variableExpression>
	</variable>
	<variable name="eficacia_1" class="java.lang.Double">
		<variableExpression><![CDATA[($V{recebimentoLiquido_1}/$V{carteiraInicial_1})*100]]></variableExpression>
	</variable>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="31" splitType="Stretch">
			<staticText>
				<reportElement uuid="14637d6e-6a2c-4b3c-a6cc-91fbc46cc655" x="2" y="0" width="424" height="17"/>
				<textElement>
					<font size="10" isBold="false"/>
				</textElement>
				<text><![CDATA[CARTEIRA DE COBRANÇA]]></text>
			</staticText>
			<textField>
				<reportElement uuid="7939b47b-0121-4be8-8943-4025f394a94c" x="2" y="17" width="424" height="14"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{empresa}]]></textFieldExpression>
			</textField>
			<textField pattern="dd/MM/yyyy HH:mm:ss">
				<reportElement uuid="be57080d-4bfa-40c2-ac38-45f5a0f9398b" x="706" y="0" width="96" height="18"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<columnHeader>
		<band height="23" splitType="Stretch">
			<staticText>
				<reportElement uuid="2e2fc74c-8bd7-468d-9f2d-491ec1bd808d" x="0" y="6" width="50" height="12"/>
				<textElement>
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[MES/ANO]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="da30dae1-ec02-4300-bfe7-1801fd5d5111" x="63" y="6" width="81" height="12"/>
				<textElement textAlignment="Right">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[CART.INICIAL]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="c91139e3-d586-4ca3-8aee-5abba4f88899" x="157" y="6" width="34" height="12"/>
				<textElement textAlignment="Right">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[(%)OBJ]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="cd74e138-4e7e-49ef-8ff3-3a3d9a20c03b" x="204" y="6" width="65" height="12"/>
				<textElement textAlignment="Right">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[REC. LIQUIDO]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="1b085042-a291-4468-8193-f61a67598839" x="282" y="6" width="30" height="12"/>
				<textElement textAlignment="Right">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[(%)EFIC]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="2580a6e1-4776-499e-94d0-9cd09fce661b" x="325" y="6" width="84" height="12"/>
				<textElement textAlignment="Right">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[EM ABER INI]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="2017a493-e712-412d-8775-40a7c4af95d3" x="422" y="6" width="83" height="12"/>
				<textElement textAlignment="Right">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[REC.MES/VIG]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="8e5bd8dc-81e3-45cd-acdb-1217d6a7c6ca" x="518" y="6" width="90" height="12"/>
				<textElement textAlignment="Right">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[EM ABER FIN]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="abd7ae9d-c833-45f1-b9d2-ad4dbf7cb2c5" x="621" y="6" width="66" height="12"/>
				<textElement textAlignment="Right">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[FALTA REC.]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="de898cd6-d2fa-482c-9089-2f2652b493c9" x="702" y="6" width="100" height="12"/>
				<textElement textAlignment="Right">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[***ACORDO ]]></text>
			</staticText>
			<line>
				<reportElement uuid="f678ba50-4717-4633-84ce-4f40cd0da01f" x="0" y="20" width="802" height="1"/>
				<graphicElement>
					<pen lineWidth="0.5" lineStyle="Dashed"/>
				</graphicElement>
			</line>
			<line>
				<reportElement uuid="64d14286-85bb-46be-a051-6cbb4e164d7c" x="0" y="3" width="802" height="1"/>
				<graphicElement>
					<pen lineWidth="0.5" lineStyle="Dashed"/>
				</graphicElement>
			</line>
		</band>
	</columnHeader>
	<detail>
		<band height="18" splitType="Stretch">
			<textField pattern="#,##0.00">
				<reportElement uuid="d9149a0f-e602-4f75-b3ef-a356e9875d0e" x="63" y="0" width="81" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{carteiraInicial}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="a1e122e2-07a3-4311-b804-4661ee898672" x="157" y="0" width="34" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{obj}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="6ff5a73d-df44-47f7-8a1f-39bec1a3911e" x="204" y="0" width="65" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{recebimentoLiquido}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="27489221-a1be-46c4-8503-5e8d9d7d8e8a" x="282" y="0" width="30" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{eficacia}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="f065f22e-4e77-4c5a-a6a8-5d1d1cfe6570" x="325" y="0" width="84" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{abertoInicial}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="2600a115-839f-4ee0-bf0e-191ad8428677" x="422" y="0" width="83" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{recebimentoMesVirgente}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="7eecdcf3-ba37-4def-855b-7503c8b89818" x="518" y="0" width="90" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{abertoFinal}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="c48ea494-a58a-40d4-9950-7aa22d1ddbc0" x="621" y="0" width="66" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{faltaReceber}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="6e1eb9c2-0c33-419a-b5d0-c05eba9f6ab7" x="702" y="0" width="100" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{acordo}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="83b08d1d-ea7d-4c1b-a955-f49617c56a18" x="0" y="0" width="50" height="12"/>
				<textElement>
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{mesAno}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band height="20" splitType="Stretch">
			<textField>
				<reportElement uuid="1f5656d1-61c0-4356-8136-4183b793d113" x="679" y="0" width="80" height="20"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA["Page "+$V{PAGE_NUMBER}+" of"]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report">
				<reportElement uuid="f17bc1ed-ccf3-473e-bac1-00e69769cdf2" x="759" y="0" width="40" height="20"/>
				<textElement/>
				<textFieldExpression><![CDATA[" " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement uuid="babc73b5-98f4-4f86-8655-dd74611ee8a9" x="0" y="-4" width="802" height="1"/>
				<graphicElement>
					<pen lineWidth="0.5" lineStyle="Dashed"/>
				</graphicElement>
			</line>
		</band>
	</pageFooter>
	<summary>
		<band height="143" splitType="Stretch">
			<textField pattern="#,##0.00">
				<reportElement uuid="435df853-158b-400e-8c81-08caf7397ef7" x="63" y="7" width="81" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{carteiraInicial_1}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="076bc97c-f4e0-433e-bd7c-316279ead5ca" x="204" y="7" width="65" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{recebimentoLiquido_1}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="2e24a4e8-9db9-4f2d-8119-4b1ad389bf37" x="325" y="7" width="84" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{abertoInicial_3}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="9004ced0-c634-4d6d-921b-15bafd2d38c4" x="422" y="7" width="83" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{recebimentoMesVirgente_1}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="67cb9ddd-8f02-4dbe-9d59-1931527b45d2" x="518" y="7" width="90" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{abertoFinal_1}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="70f16ab4-70b4-4dea-a49a-e77f62ad7452" x="621" y="7" width="66" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{faltaReceber_1}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="a9a806fb-d7d3-4afc-bc9f-7e7a831c3858" x="702" y="7" width="100" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{acordo_1}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="d530404a-0144-4923-b77c-970d743b2806" x="2" y="40" width="799" height="103"/>
				<textElement/>
				<textFieldExpression><![CDATA[" OBS: *ACIMA* = 7 MESES ACUMULADOS A PARTIR DE "+$P{dataInicial}+" ATE "+$P{dataFinal}+""+
"\n CART.INICIAL = JA SUBTRAIDO O VR.ACORDO"+
"\n REC.LIQUIDO  = JA SUBTRAIDO O VR.ACORDO"+
"\n (%) EFIC     = REC.LIQUIDO / CART. INICIAL"+
"\n EM ABER INI  = REC.MES/VIG + EM ABER FIN"+
"\n REC.MES/VIG = RECEBIMENTOS COM VENCIMENTO E DATA RECEBIMENTO NA FAIXA MES/ANO"+
"\n EM ABER FIN = (CART.INICIAL - REC. LIQUIDO"+
"\n FALTA REC.=(CART.INICIAL * %OBJ) - REC. LIQUIDO"]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="64c34c60-fef1-4e68-8d74-5bfa7637257c" x="282" y="7" width="30" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{eficacia_1}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="910f1bf1-34db-4b43-a131-fe21c7c77e99" x="0" y="7" width="36" height="12"/>
				<textElement>
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[TOTAL:]]></text>
			</staticText>
			<line>
				<reportElement uuid="da1f58f1-6298-4304-9642-eef0084dc477" x="0" y="37" width="802" height="1"/>
				<graphicElement>
					<pen lineWidth="0.5" lineStyle="Dashed"/>
				</graphicElement>
			</line>
			<textField pattern="#,##0.00">
				<reportElement uuid="125db98b-4414-4ad9-8213-3848252dce81" x="282" y="24" width="30" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{mediaAritmeticaEficacia}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement uuid="e69d72d6-0a4e-47c8-8227-7d23231fdc89" x="1" y="4" width="802" height="1"/>
				<graphicElement>
					<pen lineWidth="0.5" lineStyle="Dashed"/>
				</graphicElement>
			</line>
			<staticText>
				<reportElement uuid="ce2b4cfd-db65-4673-bbb7-813ded7a3e5a" x="196" y="24" width="85" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<text><![CDATA[Med simples:]]></text>
			</staticText>
		</band>
	</summary>
</jasperReport>
